Summary:	A lock file lister
Name:		lslk
Version:	1.29
Release:	%mkrel 23
License:	GPL style
Group:		Monitoring
URL:		ftp://vic.cc.purdue.edu:/pub/tools/unix/lslk/
Source:		ftp://vic.cc.purdue.edu/pub/tools/unix/lslk/lslk_%{version}_W.tar.bz2
Patch0:		lslk-gcc14.patch

%description
Lslk is a lock file lister.  Lslk attempts to list all of the locks on
the executing system's local files (i.e., on the active inodes).

Install lslk if you need a utility for listing file locks.

%prep
%setup -q -c -n lslk
tar xf lslk_%{version}.tar
[ -d lslk_%{version} ] && cd lslk_%{version}
%patch -P 0 -p2

%build
[ -d lslk_%{version} ] && cd lslk_%{version}
./Configure -n linux

%make_build DEBUG="%{optflags} -fPIC" CFGF=-DLINUXV=228

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8

[ -d lslk_%{version} ] && cd lslk_%{version}
install lslk %{buildroot}%{_sbindir}
install lslk.8 %{buildroot}%{_mandir}/man8/

%files
# XXX should be mode 4755, but for now leave the setuid off
%attr(0755,root,kmem) %{_sbindir}/lslk
%{_mandir}/man8/lslk.8*


%changelog
* Fri Oct 18 2024 daviddavid <daviddavid> 1.29-23.mga10
+ Revision: 2107905
- fix build with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 1.29-22.mga9
+ Revision: 1792093
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.29-21.mga8
+ Revision: 1514895
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.29-20.mga7
+ Revision: 1299357
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 1.29-19.mga6
+ Revision: 956046
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 1.29-18.mga6
+ Revision: 893583
- compile code with -fPIC to generate debuginfo
+ tv <tv>
- do not strip binary

* Wed Oct 15 2014 umeabot <umeabot> 1.29-17.mga5
+ Revision: 746871
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.29-16.mga5
+ Revision: 682015
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.29-15.mga4
+ Revision: 507584
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.29-14.mga3
+ Revision: 359025
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 16 2011 steletch <steletch> 1.29-13.mga1
+ Revision: 72914
- imported package lslk


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.29-13mdv2011.0
+ Revision: 606424
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.29-12mdv2010.1
+ Revision: 523213
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.29-11mdv2010.0
+ Revision: 426012
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.29-10mdv2009.1
+ Revision: 351542
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.29-9mdv2009.0
+ Revision: 223131
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.29-8mdv2008.1
+ Revision: 129501
- kill re-definition of %%buildroot on Pixel's request


* Wed Nov 22 2006 Lenny Cartier <lenny@mandriva.com> 1.29-8mdv2007.0
+ Revision: 86205
- Rebuild & mkrel
- Import lslk

